MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
just testing stuff
Tags: Mobile edit Mobile web edit
Kuhlau (talk | contribs)
okay theres some weird z-index shenanigans going on that idk how to resolve, but it's coming together
Tags: Mobile edit Mobile web edit
Line 66: Line 66:
}
}


/** Mobile: enabled by default (attr:title does not work) **/
/* Bottom of Page Container (Mobile) */
/* Container */
.skin-minerva .custom-tt-wrapper .mw-collapsible-content .oo-ui-widget:not(.oo-ui-element-hidden) {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content .oo-ui-widget:not(.oo-ui-element-hidden) {
position: fixed;
position: fixed;
Line 73: Line 72:
width: 100%;
width: 100%;
height: 125px;
height: 125px;
background: pink;
background: var(--theme-page-background-color);
color: var(--theme-page-text-color);
color: var(--theme-page-text-color);
border-radius: 0 0 5px 5px;
border-radius: 0 0 5px 5px;
Line 88: Line 87:


/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper button[aria-expanded="true"]:after {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content .oo-ui-widget:not(.oo-ui-element-hidden):after {
content: "x" !important;
content: "x" !important;
position: fixed;
position: fixed;
Line 97: Line 96:
}
}
/* Tooltip surrogate toggle on backdrop overlay */
/* Tooltip surrogate toggle on backdrop overlay */
.skin-minerva .custom-tt-wrapper button[aria-expanded="true"]:before {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content .oo-ui-widget:not(.oo-ui-element-hidden):before {
background: black;
background: black;
position: fixed;
position: fixed;
Line 107: Line 106:
z-index: 10004;
z-index: 10004;
}
}


/* For [[Template:Extra Effect]] */
/* For [[Template:Extra Effect]] */